%define builtin_release_version 0.01
%define builtin_release_name Beta
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}

Summary: Berry Linux release file
Name: berry-release
Version: %{real_release_version}
Release: b1
Copyright: GPL
Group: System Environment/Base
#Source: berry-release-%{builtin_release_version}.tar.gz
#Nosource:
BuildArchitectures: noarch
#Obsoletes: rawhide-release
BuildRoot: %{_tmppath}/berry-release-root

%description
Berry Linux release file

%prep
#%setup -q -n berry-release-0.01
#%setup -q

%install
mkdir -p $RPM_BUILD_ROOT/etc
echo "Berry Linux release %{real_release_version} (%{real_release_name})" > $RPM_BUILD_ROOT/etc/berry-release
cp $RPM_BUILD_ROOT/etc/berry-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue
pushd $RPM_BUILD_ROOT/etc/
ln -s berry-release redhat-release
popd

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- berry-release < 0.01-0
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/berry-release
#%doc R* 6.2 7.0 7.1 7.2 7.3
#%doc EULA GPL autorun-template
%config %attr(0644,root,root) /etc/issue
%config %attr(0644,root,root) /etc/issue.net
/etc/redhat-release
